## python3-stdlib-extensions 3.12.2

=== debian/changelog ===
python3-stdlib-extensions (3.12.2-2) unstable; urgency=medium

  * Relax python dependencies. Closes: #1065366.

 -- Matthias Klose <doko@debian.org>  Sun, 03 Mar 2024 14:40:26 +0100

python3-stdlib-extensions (3.12.2-1) unstable; urgency=medium

  * Update 3.11 extensions and modules to 3.11.8 release.
  * Update 3.12 extensions and modules to 3.12.2 release.

 -- Matthias Klose <doko@debian.org>  Sun, 03 Mar 2024 11:05:37 +0100
