## python3-stdlib-extensions 3.12.3

=== debian/changelog ===
python3-stdlib-extensions (3.12.3-0ubuntu1) noble; urgency=medium

  * Update 3.12 extensions and modules to the 3.12.3 release.

 -- Matthias Klose <doko@ubuntu.com>  Fri, 12 Apr 2024 15:14:55 +0200

python3-stdlib-extensions (3.12.2-3ubuntu4) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sun, 31 Mar 2024 17:03:55 +0000

python3-stdlib-extensions (3.12.2-3ubuntu3) noble; urgency=medium

  * Stop building the python3-distutils package.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 27 Mar 2024 14:52:29 +0100

python3-stdlib-extensions (3.12.2-3ubuntu1) noble; urgency=medium

  * Still build-depend on libpython3.11-dbg, no t64 transition before removal.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 04 Mar 2024 04:09:21 +0100

python3-stdlib-extensions (3.12.2-3) unstable; urgency=medium

  * Build-depend on libpython3.11t64-dbg, libpython3.12t64-dbg.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 04 Mar 2024 04:00:22 +0100
