=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: python3-stdlib-extensions
 Section: python
 Priority: optional
-Maintainer: Matthias Klose <doko@debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Matthias Klose <doko@debian.org>
 Build-Depends: debhelper (>= 10), rdfind,
   lsb-release,
 #  libpython3.7-dev,
@@ -20,12 +21,12 @@
 #  libpython3.10-dbg,
 #  python3.10-dev:any (>= 3.10.1),
 #  python3.10-dbg:any,
-  libpython3.11-dev,
-  libpython3.11-dbg,
-  python3.11-dev:any,
-  python3.11-dbg:any,
+#  libpython3.11-dev,
+#  libpython3.11-dbg,
+#  python3.11-dev:any,
+#  python3.11-dbg:any,
   libpython3.12-dev,
-  libpython3.12-dbg,
+  libpython3.12t64-dbg,
   python3.12-dev:any,
   python3.12-dbg:any,
   tk-dev, blt-dev (>= 2.4z-9),
@@ -86,19 +87,6 @@
  .
  This package contains the extensions built for the python3 debug interpreter.
 
-Package: python3-distutils
-Architecture: all
-Multi-Arch: foreign
-Depends: ${python3:Depends}, ${misc:Depends}, python3-lib2to3 (= ${binary:Version}),
-Provides: ${python3:Provides}
-Breaks: libpython3.6-stdlib (<< 3.6.5~rc1-3), libpython3.7-stdlib (<< 3.7.0~b2-2),
-  libpython3.8-stdlib (<< 3.8.0~b2-5),
-  libpython3.10-stdlib (<< 3.10.0~b1),
-Replaces: libpython3.6-stdlib (<< 3.6.4~rc1-2), libpython3.7-stdlib (<< 3.7.0~a3-2)
-Description: distutils package for Python 3.x
- Distutils package for Python 3.x.  This package contains the distutils module
- from the Python standard library.
-
 Package: python3-lib2to3
 Architecture: all
 Multi-Arch: foreign
