=== debian/rules ===
--- 
+++ 
@@ -16,9 +16,9 @@
 #rel_ext	= $(strip $(shell dpkg-parsechangelog | awk -F- '/^Version:/ {print $$NF}'))
 
 PYVERS	= $(shell py3versions -vs)
-PYVERS	= 3.11 3.12
-
-MIN_VER = 3.11.6-1~
+PYVERS	= 3.12
+
+MIN_VER = 3.12.2-0~
 NEXT_VER = 3.13
 
 # FIXME: remove sid when uploading to unstable, after bullseye is released
@@ -46,11 +46,9 @@
 
 p_tk	= python3-tk
 p_gdbm	= python3-gdbm
-p_dist	= python3-distutils
 p_2to3	= python3-lib2to3
 d_tk	= debian/$(p_tk)
 d_gdbm	= debian/$(p_gdbm)
-d_dist	= debian/$(p_dist)
 d_2to3	= debian/$(p_2to3)
 
 build-arch: build
@@ -96,14 +94,12 @@
 	rm -rf 3.*/build
 	rm -rf 3.*/libBLT*
 	rm -f debian/python3-tk.postinst
-	rm -f debian/python3-distutils.postinst
 	rm -f debian/python3-lib2to3.postinst
 	find 3* -name __pycache__ | xargs -r rm -rf
 	dh_clean
 
 install: build install-prereq $(PYVERS:%=install-stamp-py%) $(PYVERS:%=dbg-install-py%)
 	rdfind -makehardlinks true $(d_tk)/usr/lib
-	rdfind -makehardlinks true $(d_dist)/usr/lib
 	rdfind -makehardlinks true $(d_2to3)/usr/lib
 	rm -f results.txt
 
@@ -141,13 +137,6 @@
 	cp -r $*/Lib/tkinter $(d_tk)/usr/lib/python$*/.
 	rm -rf $(d_tk)/usr/lib/python$*/tkinter/test
 
-	mkdir -p $(d_dist)/usr/lib/python$*
-	cp -r $*/Lib/distutils $(d_dist)/usr/lib/python$*/.
-	rm -f -v $(d_dist)/usr/lib/python$*/distutils/{__init__,version}.py
-	rm -rf $(d_dist)/usr/lib/python$*/distutils/tests
-	rm -rf $(d_dist)/usr/lib/python$*/distutils/command/wininst-*.exe
-	find $(d_dist) -name __pycache__ | xargs -r rm -rf
-
 	mkdir -p $(d_2to3)/usr/lib/python$*
 	cp -r $*/Lib/lib2to3 $(d_2to3)/usr/lib/python$*/.
 	rm -rf $(d_2to3)/usr/lib/python$*/lib2to3/tests
@@ -209,9 +198,6 @@
 	cp -r 3.12/Lib/tkinter $(d_tk)/usr/lib/python3.12/.
 	rm -rf $(d_tk)/usr/lib/python3.12/tkinter/test
 
-	mkdir -p $(d_dist)/usr/lib/python3.12
-	find $(d_dist) -name __pycache__ | xargs -r rm -rf
-
 	mkdir -p $(d_2to3)/usr/lib/python3.12
 	cp -r 3.12/Lib/lib2to3 $(d_2to3)/usr/lib/python3.12/.
 	rm -rf $(d_2to3)/usr/lib/python3.12/lib2to3/tests
@@ -228,3 +214,16 @@
 	  rm -rf $(d_tk)/usr/lib/python3/dist-packages; \
 	else \
 	  cd 3.12 && $(SET_ENV12) python3.12-dbg setup.py install \
+		--root=$(CURDIR)/$(d_tk)-dbg --install-layout=deb; \
+	fi
+	mkdir -p $(d_tk)-dbg/usr/lib/python3.12/lib-dynload
+	mv $(d_tk)-dbg/usr/lib/python3/*-packages/*.so \
+		$(d_tk)-dbg/usr/lib/python3.12/lib-dynload/
+	mkdir -p $(d_gdbm)-dbg/usr/lib/python3.12/lib-dynload
+	mv $(d_tk)-dbg/usr/lib/python3.12/lib-dynload/_gdbm*.so \
+		$(d_gdbm)-dbg/usr/lib/python3.12/lib-dynload/
+ifeq ($(with_dbmmodule),yes)
+	if [ -f $(d_tk)-dbg/usr/lib/python3.12/lib-dynload/_dbm*.so ]; then \
+	  mv $(d_tk)-dbg/usr/lib/python3.12/lib-dynload/_dbm*.so \
+		$(d_gdbm)-dbg/usr/lib/python3.12/lib-dynload/; \
+	fi
