=== debian/control ===
--- 
+++ 
@@ -1,8 +1,8 @@
 Source: python3-stdlib-extensions
 Section: python
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Matthias Klose <doko@debian.org>
+Maintainer: Matthias Klose <doko@debian.org>
+Uploaders: Stefano Rivera <stefanor@debian.org>
 Build-Depends: debhelper (>= 10), rdfind,
   lsb-release,
 #  libpython3.7-dev,
@@ -22,44 +22,55 @@
 #  python3.10-dev:any (>= 3.10.1),
 #  python3.10-dbg:any,
 #  libpython3.11-dev,
-#  libpython3.11-dbg,
+#  libpython3.11t64-dbg,
 #  python3.11-dev:any,
 #  python3.11-dbg:any,
   libpython3.12-dev,
   libpython3.12t64-dbg,
-  python3.12-dev:any,
+  python3.12-dev:any (>= 3.12.5-2~),
   python3.12-dbg:any,
-  tk-dev, blt-dev (>= 2.4z-9),
+  libpython3.13-dev,
+  libpython3.13-dbg,
+  python3.13-dev:any (>= 3.13.0~rc1-2~),
+  python3.13-dbg:any,
+#  tk-dev, blt-dev (>= 2.4z-9),
 #  libgdbm-dev, libgdbm-compat-dev,
-  libgdbm-dev, libdb-dev,
+#  libgdbm-dev, libdb-dev,
+  python3-setuptools,
 Build-Conflicts: tcl8.4-dev, tk8.4-dev, tcl8.5-dev, tk8.5-dev
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Vcs-Git: https://salsa.debian.org/cpython-team/python3-stdlib.git
 Vcs-Browser: https://salsa.debian.org/cpython-team/python3-stdlib
 
 Package: python3-tk
 Architecture: any
 Multi-Arch: same
-Depends: ${python3:Depends}, blt (>= 2.4z-9), ${shlibs:Depends}, ${misc:Depends}
-Provides: ${python3:Provides}
-Suggests: tix, python3-tk-dbg
+Depends: ${python3:Depends}, ${tk:Depends},
+  blt (>= 2.4z-9), ${shlibs:Depends}, ${misc:Depends}
+#Provides: ${python3:Provides}
+Suggests: tix, python3-tk-dbg, ${tk:Suggests},
 Breaks: libpython3.6-stdlib (<< 3.6.4~rc1-2), libpython3.7-stdlib (<< 3.7.0~a3-2)
 Replaces: libpython3.6-stdlib (<< 3.6.4~rc1-2), libpython3.7-stdlib (<< 3.7.0~a3-2)
 Description: Tkinter - Writing Tk applications with Python 3.x
  A module for writing portable GUI applications with Python 3.x using Tk.
  Also known as Tkinter.
+ .
+ This is a dependency package depending on python3.X-tk.
 
 Package: python3-gdbm
 Architecture: any
 Multi-Arch: same
-Depends: ${python3:Depends}, ${shlibs:Depends}, ${misc:Depends}
-Provides: ${python3:Provides}
-Suggests: python3-gdbm-dbg
+Depends: ${python3:Depends}, ${gdbm:Depends},
+  ${shlibs:Depends}, ${misc:Depends}
+#Provides: ${python3:Provides}
+Suggests: python3-gdbm-dbg, ${gdbm:Suggests},
 Breaks: ${dbm:Breaks}
 Replaces: ${dbm:Breaks}
 Description: GNU dbm database support for Python 3.x
  GNU dbm database module for Python 3.x. Install this if you want to
  create or read GNU dbm database files with Python.
+ .
+ This is a dependency package depending on python3.X-gdbm.
 
 Package: python3-tk-dbg
 Architecture: any
@@ -71,7 +82,7 @@
  A module for writing portable GUI applications with Python using Tk.
  Also known as Tkinter.
  .
- This package contains the extensions built for the python3 debug interpreter.
+ This is a dependency package depending on libpython3.X-dbg.
 
 Package: python3-gdbm-dbg
 Architecture: any
@@ -85,7 +96,7 @@
  GNU dbm database module for Python 3.x. Install this if you want to
  create or read GNU dbm database files with Python.
  .
- This package contains the extensions built for the python3 debug interpreter.
+ This is a dependency package depending on libpython3.X-dbg.
 
 Package: python3-lib2to3
 Architecture: all
