=== debian/rules ===
--- 
+++ 
@@ -15,11 +15,12 @@
 
 #rel_ext	= $(strip $(shell dpkg-parsechangelog | awk -F- '/^Version:/ {print $$NF}'))
 
+PYVERD	= $(shell py3versions -vd)
 PYVERS	= $(shell py3versions -vs)
-PYVERS	= 3.12
-
-MIN_VER = 3.12.2-0~
-NEXT_VER = 3.13
+PYVERS	= 3.12 3.13
+
+MIN_VER = 3.12.5-1~
+NEXT_VER = 3.14
 
 # FIXME: remove sid when uploading to unstable, after bullseye is released
 #ifeq (,$(filter $(distrelase), jessie stretch buster bullseye bookworm sid precise trusty xenial bionic focal groovy hirsute))
@@ -33,15 +34,18 @@
 include /usr/share/dpkg/architecture.mk
 
 SET_ENV = PYTHONPATH=$(CURDIR)/$*/Lib
-SET_ENV12 = PYTHONPATH=$(CURDIR)/3.11/Lib
+SET_ENV12 = PYTHONPATH=$(CURDIR)/3.12/Lib
+SET_ENV13 = PYTHONPATH=$(CURDIR)/3.13/Lib
 
 ifneq ($(DEB_BUILD_MULTIARCH),$(DEB_HOST_MULTIARCH))
   SET_ENV += PYTHONPATH=/usr/lib/python$*/plat-$(DEB_HOST_MULTIARCH)
   SET_ENV12 += PYTHONPATH=/usr/lib/python3.12/plat-$(DEB_HOST_MULTIARCH)
+  SET_ENV13 += PYTHONPATH=/usr/lib/python3.13/plat-$(DEB_HOST_MULTIARCH)
 
   # FIXME: is this sufficient?
   SET_ENV += _PYTHON_HOST_PLATFORM=$(DEB_HOST_GNU_CPU)
   SET_ENV12 += _PYTHON_HOST_PLATFORM=$(DEB_HOST_GNU_CPU)
+  SET_ENV13 += _PYTHON_HOST_PLATFORM=$(DEB_HOST_GNU_CPU)
 endif
 
 p_tk	= python3-tk
@@ -56,7 +60,10 @@
 build: build-stamp
 build-arch: build-stamp
 build-indep: build-stamp
-build-stamp: $(PYVERS:%=build-stamp-py%) $(PYVERS:%=dbg-stamp-py%)
+#build-stamp: $(PYVERS:%=build-stamp-py%) $(PYVERS:%=dbg-stamp-py%)
+#	touch $@
+build-stamp:
+	: # all extensions built from the pythonX.Y packages
 	touch $@
 
 build-stamp-py%:
@@ -85,6 +92,20 @@
 	ln -sf /usr/lib/libBLT.2.4.so.8.6 3.12/libBLT85.so
 	ln -sf /usr/lib/libBLT.2.4.so.8.6 3.12/libBLT85.so.8.6
 	cd 3.12 && $(SET_ENV12) python3.12-dbg setup.py build
+	touch $@
+
+build-stamp-py3.13:
+	dh_testdir
+	ln -sf /usr/lib/libBLT.2.4.so.8.6 3.13/libBLT86.so
+	ln -sf /usr/lib/libBLT.2.4.so.8.6 3.13/libBLT86.so.8.6
+	cd 3.13 && $(SET_ENV13) python3.13 setup.py build
+	touch $@
+
+dbg-stamp-py3.13:
+	dh_testdir
+	ln -sf /usr/lib/libBLT.2.4.so.8.6 3.13/libBLT85.so
+	ln -sf /usr/lib/libBLT.2.4.so.8.6 3.13/libBLT85.so.8.6
+	cd 3.13 && $(SET_ENV13) python3.13-dbg setup.py build
 	touch $@
 
 clean:
@@ -99,7 +120,7 @@
 	dh_clean
 
 install: build install-prereq $(PYVERS:%=install-stamp-py%) $(PYVERS:%=dbg-install-py%)
-	rdfind -makehardlinks true $(d_tk)/usr/lib
+#	rdfind -makehardlinks true $(d_tk)/usr/lib
 	rdfind -makehardlinks true $(d_2to3)/usr/lib
 	rm -f results.txt
 
@@ -108,7 +129,9 @@
 	dh_testroot
 	dh_prep
 
-install-stamp-py%: build-stamp-py%
+install-stamp-py%: #build-stamp-py%
+	: # nothing to do
+ifeq (0,1)
 	: # FIXME: 3.11 install errors out ...
 	if [ "$*" = 3.11 ]; then \
 	  cd $* && $(SET_ENV) python$* setup.py install \
@@ -136,13 +159,16 @@
 	rm -rf $(d_tk)/usr/lib/python3
 	cp -r $*/Lib/tkinter $(d_tk)/usr/lib/python$*/.
 	rm -rf $(d_tk)/usr/lib/python$*/tkinter/test
+endif
 
 	mkdir -p $(d_2to3)/usr/lib/python$*
 	cp -r $*/Lib/lib2to3 $(d_2to3)/usr/lib/python$*/.
 	rm -rf $(d_2to3)/usr/lib/python$*/lib2to3/tests
 	find $(d_2to3) -name __pycache__ | xargs -r rm -rf
 
-dbg-install-py%: dbg-stamp-py%
+dbg-install-py%: #dbg-stamp-py%
+	: # nothing to do
+ifeq (0,1)
 	: # FIXME: 3.11 install errors out ...
 	if [ "$*" = 3.11 ]; then \
 	  cd $* && $(SET_ENV) python$*-dbg setup.py install \
@@ -161,15 +187,17 @@
 	mkdir -p $(d_gdbm)-dbg/usr/lib/python$*/lib-dynload
 	mv $(d_tk)-dbg/usr/lib/python$*/lib-dynload/_gdbm*.so \
 		$(d_gdbm)-dbg/usr/lib/python$*/lib-dynload/
-ifeq ($(with_dbmmodule),yes)
+  ifeq ($(with_dbmmodule),yes)
 	if [ -f $(d_tk)-dbg/usr/lib/python$*/lib-dynload/_dbm*.so ]; then \
 	  mv $(d_tk)-dbg/usr/lib/python$*/lib-dynload/_dbm*.so \
 		$(d_gdbm)-dbg/usr/lib/python$*/lib-dynload/; \
 	fi
-endif
+  endif
 	rm -rf $(d_tk)-dbg/usr/lib/python3
-
-install-stamp-py3.12: build-stamp-py3.12
+endif
+
+install-stamp-py3.12: #build-stamp-py3.12
+ifeq (0,1)
 	: # FIXME: 3.12 install errors out ...
 	if [ "3.12" = 3.12 ]; then \
 	  cd 3.12 && $(SET_ENV12) python3.12 setup.py install \
@@ -188,42 +216,24 @@
 	mkdir -p $(d_gdbm)/usr/lib/python3.12/lib-dynload
 	mv $(d_tk)/usr/lib/python3.12/lib-dynload/_gdbm*.so \
 		$(d_gdbm)/usr/lib/python3.12/lib-dynload/
-ifeq ($(with_dbmmodule),yes)
+  ifeq ($(with_dbmmodule),yes)
 	if [ -f $(d_tk)/usr/lib/python3.12/lib-dynload/_dbm*.so ]; then \
 	  mv $(d_tk)/usr/lib/python3.12/lib-dynload/_dbm*.so \
 		$(d_gdbm)/usr/lib/python3.12/lib-dynload/; \
 	fi
-endif
+  endif
 	rm -rf $(d_tk)/usr/lib/python3
 	cp -r 3.12/Lib/tkinter $(d_tk)/usr/lib/python3.12/.
 	rm -rf $(d_tk)/usr/lib/python3.12/tkinter/test
-
+endif
 	mkdir -p $(d_2to3)/usr/lib/python3.12
 	cp -r 3.12/Lib/lib2to3 $(d_2to3)/usr/lib/python3.12/.
 	rm -rf $(d_2to3)/usr/lib/python3.12/lib2to3/tests
 	find $(d_2to3) -name __pycache__ | xargs -r rm -rf
 
-dbg-install-py3.12: dbg-stamp-py3.12
+dbg-install-py3.12: #dbg-stamp-py3.12
+ifeq (0,1)
 	: # FIXME: 3.12 install errors out ...
 	if [ "3.12" = 3.12 ]; then \
 	  cd 3.12 && $(SET_ENV12) python3.12-dbg setup.py install \
 		--root=$(CURDIR)/$(d_tk)-dbg --install-layout=deb; \
-	  mkdir -p $(d_tk)/usr/lib/python3.12/lib-dynload; \
-	  mv $(d_tk)/usr/lib/python3/dist-packages/*.so \
-	    $(d_tk)/usr/lib/python3.12/lib-dynload; \
-	  rm -rf $(d_tk)/usr/lib/python3/dist-packages; \
-	else \
-	  cd 3.12 && $(SET_ENV12) python3.12-dbg setup.py install \
-		--root=$(CURDIR)/$(d_tk)-dbg --install-layout=deb; \
-	fi
-	mkdir -p $(d_tk)-dbg/usr/lib/python3.12/lib-dynload
-	mv $(d_tk)-dbg/usr/lib/python3/*-packages/*.so \
-		$(d_tk)-dbg/usr/lib/python3.12/lib-dynload/
-	mkdir -p $(d_gdbm)-dbg/usr/lib/python3.12/lib-dynload
-	mv $(d_tk)-dbg/usr/lib/python3.12/lib-dynload/_gdbm*.so \
-		$(d_gdbm)-dbg/usr/lib/python3.12/lib-dynload/
-ifeq ($(with_dbmmodule),yes)
-	if [ -f $(d_tk)-dbg/usr/lib/python3.12/lib-dynload/_dbm*.so ]; then \
-	  mv $(d_tk)-dbg/usr/lib/python3.12/lib-dynload/_dbm*.so \
-		$(d_gdbm)-dbg/usr/lib/python3.12/lib-dynload/; \
-	fi
