## python3-stdlib-extensions 3.13.1

=== debian/changelog ===
python3-stdlib-extensions (3.13.1-1) unstable; urgency=medium

  * Update 3.12 extensions and modules to the 3.12.8 release.
  * Update 3.13 extensions and modules to the 3.13.1 release.

 -- Matthias Klose <doko@debian.org>  Sun, 15 Dec 2024 14:34:21 +0100

python3-stdlib-extensions (3.12.7-1) unstable; urgency=medium

  * Update 3.12 extensions and modules to the 3.12.7 release.
  * Update 3.13 extensions and modules to the 3.13.0 release.

 -- Matthias Klose <doko@debian.org>  Tue, 12 Nov 2024 10:35:23 +0100
