=== debian/control ===
--- 
+++ 
@@ -48,7 +48,7 @@
 Depends: ${python3:Depends}, ${tk:Depends},
   blt (>= 2.4z-9), ${shlibs:Depends}, ${misc:Depends}
 #Provides: ${python3:Provides}
-Suggests: tix, python3-tk-dbg, ${tk:Suggests},
+Suggests: tix, python3-tk-dbg
 Breaks: libpython3.6-stdlib (<< 3.6.4~rc1-2), libpython3.7-stdlib (<< 3.7.0~a3-2)
 Replaces: libpython3.6-stdlib (<< 3.6.4~rc1-2), libpython3.7-stdlib (<< 3.7.0~a3-2)
 Description: Tkinter - Writing Tk applications with Python 3.x
@@ -63,7 +63,7 @@
 Depends: ${python3:Depends}, ${gdbm:Depends},
   ${shlibs:Depends}, ${misc:Depends}
 #Provides: ${python3:Provides}
-Suggests: python3-gdbm-dbg, ${gdbm:Suggests},
+Suggests: python3-gdbm-dbg
 Breaks: ${dbm:Breaks}
 Replaces: ${dbm:Breaks}
 Description: GNU dbm database support for Python 3.x
