=== debian/rules ===
--- 
+++ 
@@ -15,11 +15,10 @@
 
 #rel_ext	= $(strip $(shell dpkg-parsechangelog | awk -F- '/^Version:/ {print $$NF}'))
 
-PYVERD	= $(shell py3versions -vd)
 PYVERS	= $(shell py3versions -vs)
 PYVERS	= 3.12 3.13
 
-MIN_VER = 3.12.5-1~
+MIN_VER = 3.12.7-1~
 NEXT_VER = 3.14
 
 # FIXME: remove sid when uploading to unstable, after bullseye is released
@@ -237,3 +236,4 @@
 	if [ "3.12" = 3.12 ]; then \
 	  cd 3.12 && $(SET_ENV12) python3.12-dbg setup.py install \
 		--root=$(CURDIR)/$(d_tk)-dbg --install-layout=deb; \
+	  mkdir -p $(d_tk)/usr/lib/python3.12/lib-dynload; \
