## python3-stdlib-extensions 3.13.2

=== debian/changelog ===
python3-stdlib-extensions (3.13.2-1) unstable; urgency=medium

  * Update 3.13 extensions and modules to the 3.13.2 release.
  * Update 3.12 extensions and modules to the 3.12.9 release.
  * Update 3.11 extensions and modules to the 3.11.11 release.
  * Update 3.10 extensions and modules to the 3.10.16 release.
  * Update 3.9 extensions and modules to the 3.9.21 release.
  * Build for 3.13 only.
  * Stop building the python3-lib2to3 package.

 -- Matthias Klose <doko@debian.org>  Tue, 04 Mar 2025 16:17:37 +0100
