## python3-stdlib-extensions 3.13.3

=== debian/changelog ===
python3-stdlib-extensions (3.13.3-1) unstable; urgency=medium

  * Update 3.13 extensions and modules to the 3.13.3 release.
  * Update 3.12 extensions and modules to the 3.12.10 release.
  * Update 3.11 extensions and modules to the 3.11.12 release.
  * Update 3.10 extensions and modules to the 3.10.17 release.
  * Update 3.9 extensions and modules to the 3.9.22 release.

 -- Matthias Klose <doko@debian.org>  Wed, 09 Apr 2025 07:14:59 +0200
