=== debian/control ===
--- 
+++ 
@@ -25,10 +25,10 @@
 #  libpython3.11t64-dbg,
 #  python3.11-dev:any,
 #  python3.11-dbg:any,
-  libpython3.12-dev,
-  libpython3.12t64-dbg,
-  python3.12-dev:any (>= 3.12.5-2~),
-  python3.12-dbg:any,
+#  libpython3.12-dev,
+#  libpython3.12t64-dbg,
+#  python3.12-dev:any (>= 3.12.5-2~),
+#  python3.12-dbg:any,
   libpython3.13-dev,
   libpython3.13-dbg,
   python3.13-dev:any (>= 3.13.0~rc1-2~),
@@ -97,25 +97,3 @@
  create or read GNU dbm database files with Python.
  .
  This is a dependency package depending on libpython3.X-dbg.
-
-Package: python3-lib2to3
-Architecture: all
-Multi-Arch: foreign
-Priority: optional
-Depends: ${python3:Depends}, ${misc:Depends}
-Provides: ${python3:Provides}
-Breaks: libpython3.6-stdlib (<< 3.6.4~rc1-2),
-  libpython3.7-stdlib (<< 3.7.0~a3-3),
-  python3.6-2to3 (<< 3.6.4-2),
-  python3.7-2to3 (<< 3.7.0~a3-3),
-  libpython3.10-stdlib (<< 3.10.0~b1),
-Replaces: libpython3.6-stdlib (<< 3.6.4~rc1-2),
-  libpython3.7-stdlib (<< 3.7.0~a3-3),
-  python3.6-2to3 (<< 3.6.4-2),
-  python3.7-2to3 (<< 3.7.0~a3-3),
-Description: Interactive high-level object-oriented language (lib2to3)
- Python is a high-level, interactive, object-oriented language. It
- includes an extensive class library with lots of goodies for
- network programming, system administration, sounds and graphics.
- .
- This package contains the lib2to3 library, a Python2 to Python3 converter.
