## python3-stdlib-extensions 3.13.4

=== debian/changelog ===
python3-stdlib-extensions (3.13.4-1) unstable; urgency=medium

  * Update 3.13 extensions and modules to the 3.13.4 release.
  * Update 3.12 extensions and modules to the 3.12.11 release.
  * Update 3.11 extensions and modules to the 3.11.13 release.
  * Update 3.10 extensions and modules to the 3.10.18 release.
  * Update 3.9 extensions and modules to the 3.9.23 release.

 -- Matthias Klose <doko@debian.org>  Wed, 04 Jun 2025 15:58:24 +0200
