## python3-stdlib-extensions 3.13.5

=== debian/changelog ===
python3-stdlib-extensions (3.13.5-1) unstable; urgency=medium

  * Update 3.13 extensions and modules to the 3.13.5 release.

 -- Matthias Klose <doko@debian.org>  Sun, 13 Jul 2025 13:01:15 +0200
