=== debian/control ===
--- 
+++ 
@@ -31,14 +31,14 @@
 #  python3.12-dbg:any,
   libpython3.13-dev,
   libpython3.13-dbg,
-  python3.13-dev:any (>= 3.13.0~rc1-2~),
+  python3.13-dev:any (>= 3.13.4-1~),
   python3.13-dbg:any,
 #  tk-dev, blt-dev (>= 2.4z-9),
 #  libgdbm-dev, libgdbm-compat-dev,
 #  libgdbm-dev, libdb-dev,
   python3-setuptools,
 Build-Conflicts: tcl8.4-dev, tk8.4-dev, tcl8.5-dev, tk8.5-dev
-Standards-Version: 4.7.0
+Standards-Version: 4.7.2
 Vcs-Git: https://salsa.debian.org/cpython-team/python3-stdlib.git
 Vcs-Browser: https://salsa.debian.org/cpython-team/python3-stdlib
