=== debian/rules ===
--- 
+++ 
@@ -16,9 +16,9 @@
 #rel_ext	= $(strip $(shell dpkg-parsechangelog | awk -F- '/^Version:/ {print $$NF}'))
 
 PYVERS	= $(shell py3versions -vs)
-PYVERS	= 3.12 3.13
-
-MIN_VER = 3.12.7-1~
+PYVERS	= 3.13
+
+MIN_VER = 3.13.2-1~
 NEXT_VER = 3.14
 
 # FIXME: remove sid when uploading to unstable, after bullseye is released
@@ -120,7 +120,7 @@
 
 install: build install-prereq $(PYVERS:%=install-stamp-py%) $(PYVERS:%=dbg-install-py%)
 #	rdfind -makehardlinks true $(d_tk)/usr/lib
-	rdfind -makehardlinks true $(d_2to3)/usr/lib
+#	rdfind -makehardlinks true $(d_2to3)/usr/lib
 	rm -f results.txt
 
 install-prereq:
@@ -160,10 +160,10 @@
 	rm -rf $(d_tk)/usr/lib/python$*/tkinter/test
 endif
 
-	mkdir -p $(d_2to3)/usr/lib/python$*
-	cp -r $*/Lib/lib2to3 $(d_2to3)/usr/lib/python$*/.
-	rm -rf $(d_2to3)/usr/lib/python$*/lib2to3/tests
-	find $(d_2to3) -name __pycache__ | xargs -r rm -rf
+#	mkdir -p $(d_2to3)/usr/lib/python$*
+#	cp -r $*/Lib/lib2to3 $(d_2to3)/usr/lib/python$*/.
+#	rm -rf $(d_2to3)/usr/lib/python$*/lib2to3/tests
+#	find $(d_2to3) -name __pycache__ | xargs -r rm -rf
 
 dbg-install-py%: #dbg-stamp-py%
 	: # nothing to do
@@ -225,10 +225,10 @@
 	cp -r 3.12/Lib/tkinter $(d_tk)/usr/lib/python3.12/.
 	rm -rf $(d_tk)/usr/lib/python3.12/tkinter/test
 endif
-	mkdir -p $(d_2to3)/usr/lib/python3.12
-	cp -r 3.12/Lib/lib2to3 $(d_2to3)/usr/lib/python3.12/.
-	rm -rf $(d_2to3)/usr/lib/python3.12/lib2to3/tests
-	find $(d_2to3) -name __pycache__ | xargs -r rm -rf
+#	mkdir -p $(d_2to3)/usr/lib/python3.12
+#	cp -r 3.12/Lib/lib2to3 $(d_2to3)/usr/lib/python3.12/.
+#	rm -rf $(d_2to3)/usr/lib/python3.12/lib2to3/tests
+#	find $(d_2to3) -name __pycache__ | xargs -r rm -rf
 
 dbg-install-py3.12: #dbg-stamp-py3.12
 ifeq (0,1)
