## python3-stdlib-extensions 3.13.9-1

=== debian/changelog ===
python3-stdlib-extensions (3.13.9-1) unstable; urgency=medium

  * Drop all source, this package now builds pure dependency packages.
  * Don't use a hardcoded list of supported Python versions.

 -- Stefano Rivera <stefanor@debian.org>  Tue, 21 Oct 2025 21:25:38 +0200
