=== debian/control ===
--- 
+++ 
@@ -3,41 +3,7 @@
 Priority: optional
 Maintainer: Matthias Klose <doko@debian.org>
 Uploaders: Stefano Rivera <stefanor@debian.org>
-Build-Depends: debhelper (>= 10), rdfind,
-  lsb-release,
-#  libpython3.7-dev,
-#  libpython3.7-dbg,
-#  python3.7-dev:any,
-#  python3.7-dbg:any,
-#  libpython3.8-dev,
-#  libpython3.8-dbg,
-#  python3.8-dev:any,
-#  python3.8-dbg:any,
-#  libpython3.9-dev,
-#  libpython3.9-dbg,
-#  python3.9-dev:any,
-#  python3.9-dbg:any,
-#  libpython3.10-dev,
-#  libpython3.10-dbg,
-#  python3.10-dev:any (>= 3.10.1),
-#  python3.10-dbg:any,
-#  libpython3.11-dev,
-#  libpython3.11t64-dbg,
-#  python3.11-dev:any,
-#  python3.11-dbg:any,
-#  libpython3.12-dev,
-#  libpython3.12t64-dbg,
-#  python3.12-dev:any (>= 3.12.5-2~),
-#  python3.12-dbg:any,
-  libpython3.13-dev,
-  libpython3.13-dbg,
-  python3.13-dev:any (>= 3.13.4-1~),
-  python3.13-dbg:any,
-#  tk-dev, blt-dev (>= 2.4z-9),
-#  libgdbm-dev, libgdbm-compat-dev,
-#  libgdbm-dev, libdb-dev,
-  python3-setuptools,
-Build-Conflicts: tcl8.4-dev, tk8.4-dev, tcl8.5-dev, tk8.5-dev
+Build-Depends: debhelper (>= 10), python3-minimal
 Standards-Version: 4.7.2
 Vcs-Git: https://salsa.debian.org/cpython-team/python3-stdlib.git
 Vcs-Browser: https://salsa.debian.org/cpython-team/python3-stdlib
