## python3-stdlib-extensions 3.13.9-1parrot1

=== debian/changelog ===
python3-stdlib-extensions (3.13.9-1parrot1) echo; urgency=medium

  * Non-maintainer upload.
  * Rebuild package.

 -- Lorenzo "Palinuro" Faletra <palinuro@parrotsec.org>  Tue, 25 Nov 2025 17:14:39 +0100
